Alerting
Add usage alert
Creates a new usage threshold alert configuration
POST
/
pipeline
/
{pipeline_id}
/
usage-threshold-alert
Add usage alert
curl --request POST \
--url https://api.mezmo.com/v3/pipeline/{pipeline_id}/usage-threshold-alert \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"traffic_type": "<unknown>",
"alert_channels": "<unknown>",
"max_daily_notifications": "<unknown>",
"no_data": true,
"percent_decrease": "<unknown>",
"percent_increase": "<unknown>",
"threshold_bytes": "<unknown>",
"title": "<unknown>"
}
'import requests
url = "https://api.mezmo.com/v3/pipeline/{pipeline_id}/usage-threshold-alert"
payload = {
"traffic_type": "<unknown>",
"alert_channels": "<unknown>",
"max_daily_notifications": "<unknown>",
"no_data": True,
"percent_decrease": "<unknown>",
"percent_increase": "<unknown>",
"threshold_bytes": "<unknown>",
"title": "<unknown>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
traffic_type: '<unknown>',
alert_channels: '<unknown>',
max_daily_notifications: '<unknown>',
no_data: true,
percent_decrease: '<unknown>',
percent_increase: '<unknown>',
threshold_bytes: '<unknown>',
title: '<unknown>'
})
};
fetch('https://api.mezmo.com/v3/pipeline/{pipeline_id}/usage-threshold-alert', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Authorizations
Enter your token in the format: Token mytokengoeshere
Path Parameters
Body
application/json
Response
200
Default Response
โI
Add usage alert

